\name{warningf}
\alias{warningf}
\title{throw a formatted warning.
Essentially calls \code{warning(sprintf(...))}}
\usage{
  warningf(..., call. = TRUE, immediate. = FALSE,
    domain = NULL)
}
\arguments{
  \item{...}{arguments to sprintf}

  \item{call.}{logical, indicating if call should become
  part of the warning message (see
  \code{\link[base]{warning}})}

  \item{immediate.}{logical, indicating of the call should
  be output immediately, even if
  \code{getOption("warn")<=0}}

  \item{domain}{see \code{\link[base]{warning}}}
}
\description{
  throw a formatted warning. Essentially calls
  \code{warning(sprintf(...))}
}
\note{
  See \code{\link[base]{warning}} for explanation of
  parameters.
}
\seealso{
  \code{\link[base]{warning}}, \code{\link[base]{sprintf}}

  Other debug: \code{\link{stopf}},
  \code{\link{tryCatch.W.E}}, \code{\link{verbosePrint}},
  \code{\link{verbosePrintf}}
}

